classification
Title: Guide users to the newer package install instructions
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Susan Sun, docs@python, ezio.melotti, ncoghlan, ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2016-01-05 13:04 by ncoghlan, last changed 2016-06-06 00:46 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue26014.diff Susan Sun, 2016-03-12 14:42 patch for 2.7 were fixed for the first 2 issues review
Messages (4)
msg257529 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2016-01-05 13:04
The up to date module installation docs are at:

* https://docs.python.org/2/installing/index.html
* https://docs.python.org/3/installing/index.html

However, legacy deep links still resolve to the old docs:

* https://docs.python.org/2/install/index.html
* https://docs.python.org/3/install/index.html

Those link out to packaging.python.org, the link is buried in a longish note, rather than being highlighted as a more obvious See Also link.

The top level landing page in the Python 2.7 docs also still links to the legacy docs rather than the new ones, and the "(Legacy)" notation hasn't been appended to the headings on the legacy docs the way it has in 3.x.

There's a few long hanging fruit for cleanup here:

* add See Also links to the modern docs from the legacy docs
* append the (Legacy) suffix in the 2.x docs
* fix the 2.x top level docs page to link to the new docs rather than the legacy ones
* link to the legacy docs from the distutils package docs in 2.7 (as has already been done in 3.x)
msg261652 - (view) Author: Susan Sun (Susan Sun) Date: 2016-03-12 14:42
Below two issues are fixed. 

* add See Also links to the modern docs from the legacy docs
* append the (Legacy) suffix in the 2.x docs
msg267494 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-06 00:40
New changeset 71fc5b246f5b by Ned Deily in branch '2.7':
Issue #26014: Guide 2.7 users to the new packaging documentation:
https://hg.python.org/cpython/rev/71fc5b246f5b

New changeset f5fd646b265b by Ned Deily in branch '3.5':
Issue #26014: Update 3.x packaging documentation:
https://hg.python.org/cpython/rev/f5fd646b265b

New changeset 7583d65da2ad by Ned Deily in branch 'default':
Issue #26014: merge from 3.5
https://hg.python.org/cpython/rev/7583d65da2ad
msg267496 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-06-06 00:46
Thanks, Susan, for your suggested patch.  I expanded on it to address all of the issues Nick brought up and then some, such as also updating to the changed setuptools doc link.  Pushed for release in 2.7.12, 3.5.2, and 3.6.0.
History
Date User Action Args
2016-06-06 00:46:07ned.deilysetstatus: open -> closed

versions: + Python 2.7, Python 3.5, Python 3.6
nosy: + ned.deily

messages: + msg267496
resolution: fixed
stage: needs patch -> resolved
2016-06-06 00:40:45python-devsetnosy: + python-dev
messages: + msg267494
2016-03-12 14:42:56Susan Sunsetfiles: + issue26014.diff

nosy: + ezio.melotti, Susan Sun
messages: + msg261652

keywords: + patch
2016-01-05 13:04:25ncoghlancreate